Get account and plan details

gethttps://api.expiryedge.com/v1/getAccountDetails
any role60/min
Request
curl 'https://api.expiryedge.com/v1/getAccountDetails' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "name": "Dana Brooks",
  "organization_name": "Northwind Dental",
  "subscription_id": "prod_SK2RjJ132uucmf",
  "subscription_plan": "prod_SK2RjJ132uucmf",
  "plan_name": "ProEssentials",
  "subscription_status": "active",
  "cancel_at_period_end": false,
  "last_payment_date": "2026-09-01T00:00:00.000Z",
  "last_payment_amount": 49,
  "billing_period": "month",
  "next_billing_date": "2026-10-01T00:00:00.000Z",
  "order_date": "2026-03-01T10:00:00.000Z",
  "plan_expiry_date": null,
  "account_created_at": "2026-03-01T09:55:00.000Z",
  "notification_credit": {
    "organization_id": "org_northwind",
    "sms_balance": 120,
    "email_balance": 4800
  }
}

Returns the caller's name plus the organization's plan, billing dates and notification credit balances.

Returns

200
Account details.
  • namestring
  • organization_namestring | null
  • subscription_idstring
    Stripe product id of the plan, or trial.
  • subscription_planstring
  • plan_namestring
  • subscription_statusstring
  • cancel_at_period_endboolean
  • last_payment_datestring | null
  • last_payment_amountnumber | null
  • billing_periodstring
  • next_billing_datestring | null
  • order_datestring | null
  • plan_expiry_datestring | null
  • account_created_atstring | null
    Organization creation time (ISO 8601 date-time string).
  • notification_creditobject | null

Errors

401
Missing, expired or invalid bearer token.
404
The record does not exist or is not in your organization.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.